Summary: Object Oriented Script Language
Name: ruby
Version: 1.4.3
Release: 6mdk
Copyright: GPL
Group: Development/Other
Source: ftp://ftp.netlab.co.jp/pub/lang/%{name}/%{name}-%{version}.tar.bz2
Source1: http://www.pragprog.com:8080/rubyfaq/rubyfaqall.html.bz2
Source2: ftp://ftp.netlab.co.jp/pub/lang/ruby/doc/ruby-man-1.4.3.tar.bz2
Source3: %{name}.menu
URL: http://www.netlab.co.jp/ruby/jp/
Prefix: /usr
BuildRoot: /var/tmp/%{name}-%{version}-root

%package doc
Summary: documentation for the powerfull language Ruby
Group: Development/Other

%package extensions
Summary: extensions for the powerfull language Ruby
Group: Development/Other

%description
Ruby is the interpreted scripting language for quick and
easy object-oriented programming.  It has many features to
process text files and to do system management tasks (as in
Perl).  It is simple, straight-forward, and extensible.

%description doc
see ruby

%description extensions
Win32API, curses, dbm, etc, fcntl, gdbm, md5, nkf, pty, readline, sdbm, socket, tcltklib, tk

see ruby for more

%prep
%setup -q

FILELIST="ruby.1 \
	ext/extmk.rb.in \
	ext/curses/*.rb \
	ext/tcltklib/demo/*.* ext/tcltklib/sample/*.rb ext/tcltklib/*.euc \
	ext/tk/sample/*.rb \
	sample/*.*"
for i in ${FILELIST}; do
	sed -e s#/usr/local/bin/#%{prefix}/bin/#g $i >$i.$$
        mv $i.$$ $i
done

%build
%configure --with-default-kcode=none
make
make test

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

cp -a ext ${RPM_BUILD_ROOT}%{prefix}/lib/%{name}
cp -a lib/README ${RPM_BUILD_ROOT}%{prefix}/lib/%{name}/ext

install -d ${RPM_BUILD_ROOT}%{prefix}/doc/%{name}-%{version}
cp -a COPYING* ChangeLog README* ToDo misc sample ${RPM_BUILD_ROOT}%{prefix}/doc/%{name}-%{version}
bzcat %{SOURCE1} > ${RPM_BUILD_ROOT}%{prefix}/doc/%{name}-%{version}/FAQ.html

(cd ${RPM_BUILD_ROOT}%{prefix}/doc/%{name}-%{version} ; tar xfy %{SOURCE2})

install -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{prefix}/lib/menu/%{name}

%clean
rm -rf ${RPM_BUILD_ROOT}

%post 
/sbin/ldconfig

if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun
/sbin/ldconfig

if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi  

%files
%defattr(-, root, root)
%dir %{prefix}/doc/%{name}-%{version}
%{prefix}/doc/%{name}-%{version}/README
%{prefix}/bin/*
%dir %{prefix}/lib/%{name}/
%{prefix}/lib/%{name}/1.*
%{prefix}/lib/menu/*
%{prefix}/man/*/*

%files doc
%defattr(-, root, root)
%{prefix}/doc/%{name}-%{version}/COPYING*
%{prefix}/doc/%{name}-%{version}/ChangeLog
%{prefix}/doc/%{name}-%{version}/README.*
%{prefix}/doc/%{name}-%{version}/FAQ.html
%{prefix}/doc/%{name}-%{version}/ToDo
%{prefix}/doc/%{name}-%{version}/misc
%{prefix}/doc/%{name}-%{version}/sample
%{prefix}/doc/%{name}-%{version}/*man*

%files extensions
%defattr(-, root, root)
%{prefix}/lib/%{name}/ext

%changelog
* Mon Apr 10 2000 Pixel <pixel@mandrakesoft.com> 1.4.3-6mdk
- fix group for doc

* Mon Mar 27 2000 Pixel <pixel@mandrakesoft.com> 1.4.3-5mdk
- add menu

* Sat Mar 25 2000 Pixel <pixel@mandrakesoft.com> 1.4.3-4mdk
- new group + cleanup

* Wed Feb 16 2000 Pixel <pixel@mandrakesoft.com> 1.4.3-3mdk
- build with no charset conversion (was kanji :)

* Mon Feb 14 2000 Pixel <pixel@mandrakesoft.com> 1.4.3-2mdk
- added the reference manual and FAQ in doc
- moved the lib/README in ext

* Mon Feb 14 2000 Pixel <pixel@mandrakesoft.com> 1.4.3-1mdk
- mandrake adaptation and spliting in -/doc/extensions

* Wed Dec 08 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- Updated to version 1.4.3

* Mon Sep 20 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- Updated to version 1.4.2 (Sep 18)

* Fri Sep 17 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- Updated to version 1.4.2

* Tue Aug 17 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- Updated to version 1.4.0

* Fri Jul 23 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- 2nd release
- Updated to version 1.2.6(15 Jul 1999)
- striped %{prefix}/bin/ruby

* Mon Jun 28 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- Updated to version 1.2.6(21 Jun 1999)

* Wed Apr 14 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- Updated to version 1.2.5

* Fri Apr 09 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- Updated to version 1.2.4

* Fri Dec 25 1998 Toru Hoshina <hoshina@best.com>
- Version up to 1.2 stable.

* Fri Nov 27 1998 Toru Hoshina <hoshina@best.com>
- Version up to 1.1c9.

* Thu Nov 19 1998 Toru Hoshina <hoshina@best.com>
- Version up to 1.1c8, however it appear short life :-P

* Fri Nov 13 1998 Toru Hoshina <hoshina@best.com>
- Version up.

end of changelog shortened, hope you japs won't kill a froggy for this :)
